Unable to update Wordpress due to missing "Apache mpm package installed"

December 24, 2013 1.4k views
When I log into my dashboard I get "Wordpress 3.8 is available, please update now" I ran the sequence as recommended by the following email: "I would suggest following along with this community help article to walk you through the entire process of securely updating your wordpress instance: https://digitalocean.com/community/articles/how-to-configure-secure-updates-and-installations-in-wordpress-on-ubuntu" Everything went smooth until the very end when I tried to restart apache "sudo service apache2 restart" and got the following response; "root@WarrentTek:/var/www# sudo service apache2 restart No apache MPM package installed root@WarrentTek:/var/www#" I then received guidance to try the following command; root@WarrentTek:/# apt-get purge apache2mpm-prefork&&apt-get install -y apache2- mpm-prefork Reading package lists And got the following result: "... Done Building dependency tree Reading state information... Done E: Unable to locate package apache2mpm-prefork root@WarrentTek:/# sudo service apache2 restart No apache MPM package installed root@WarrentTek:/#" Please help... I am at a loss of how to fix this.
1 Answer
You just had a typo in the package name. To install the packages you want, use:

apt-get install apache2-mpm-prefork apache2-mpm-worker
Have another answer? Share your knowledge.